#!/bin/bash

MY_NAME="waldek"
MY_EMAIL="waldek@mailbox.org"
MY_SHELL="zsh"
MY_ZSH_THEME="robbyrussell"
MY_BASH_THEME="vscode"

# install my bare essentials
sudo apt update
sudo apt install -y vim-nox htop tmux wget curl git zsh fish strace

# install the oh-my-zsh framework
git clone https://github.com/ohmyzsh/ohmyzsh.git ~/.oh-my-zsh
cp ~/.oh-my-zsh/templates/zshrc.zsh-template ~/.zshrc
sudo chsh -s $(which $MY_SHELL) $USER

# modify the theme of oh-my-zsh
sed -i "s/robbyrussell/$MY_ZSH_THEME/g" ~/.zshrc

# install oh-my-bash framework
git clone https://github.com/ohmybash/oh-my-bash.git ~/.oh-my-bash
cp ~/.oh-my-bash/templates/bashrc.osh-template ~/.bashrc

# modify the theme of oh-my-zsh
sed -i "s/font/$MY_BASH_THEME/g" ~/.bashrc

GIT_CONFIG_FILE=~/.gitconfig
touch $GIT_CONFIG_FILE
echo "[user]" >> $GIT_CONFIG_FILE
echo "name = $MY_NAME" >> $GIT_CONFIG_FILE
echo "email = $MY_EMAIL" >> $GIT_CONFIG_FILE







